#
# spec file for package python-magnumclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-magnumclient
Version:        2.12.0
Release:        3.9
Summary:        Python API and CLI for OpenStack Magnum
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/python-magnumclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-magnumclient/python-magnumclient-2.12.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python2-PrettyTable
BuildRequires:  python2-cryptography
BuildRequires:  python2-decorator
BuildRequires:  python2-fixtures
BuildRequires:  python2-keystoneauth1
BuildRequires:  python2-mock
BuildRequires:  python2-openstackclient
BuildRequires:  python2-os-client-config
BuildRequires:  python2-osc-lib
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.serialization
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-osprofiler
BuildRequires:  python2-pbr
BuildRequires:  python2-python-subunit
BuildRequires:  python2-setuptools
BuildRequires:  python2-stestr
BuildRequires:  python2-testscenarios
BuildRequires:  python2-testtools
BuildRequires:  python3-PrettyTable
BuildRequires:  python3-cryptography
BuildRequires:  python3-decorator
BuildRequires:  python3-fixtures
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-mock
BuildRequires:  python3-openstackclient
BuildRequires:  python3-os-client-config
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.serialization
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-osprofiler
BuildRequires:  python3-pbr
BuildRequires:  python3-python-subunit
BuildRequires:  python3-setuptools
BuildRequires:  python3-stestr
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-cryptography
Requires:       python-decorator
Requires:       python-keystoneauth1
Requires:       python-os-client-config
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
Requires:       python-stevedore
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Client library for Magnum built on the Magnum API. It provides a Python API
(the magnumclient module) and a command-line tool (magnum).

%package -n python-magnumclient-doc
Summary:        Documentation for OpenStack Magnum API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme

%description -n python-magnumclient-doc
Client library for Magnum built on the Magnum API. It provides a Python API
(the magnumclient module) and a command-line tool (magnum).
This package contains the documentation.

%prep
%autosetup -p1 -n python-magnumclient-2.12.0
%py_req_cleanup

%build
%{python_build}

# Build HTML docs and man page
PBR_VERSION=2.12.0 sphinx-build -b html doc/source doc/build/html
PBR_VERSION=2.12.0 sphinx-build -b man doc/source doc/build/man
rm -r doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
# man page
install -p -D -m 644 doc/build/man/python-magnumclient.1 %{buildroot}%{_mandir}/man1/magnum.1
# Install bash completion
install -p -D -m 644 tools/magnum.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/magnum.bash_completion
%python_clone -a %{buildroot}%{_bindir}/magnum
%python_clone -a %{buildroot}%{_mandir}/man1/magnum.1
%python_clone -a %{buildroot}%{_sysconfdir}/bash_completion.d/magnum.bash_completion

%post
%{python_install_alternative magnum magnum.1 %{_sysconfdir}/bash_completion.d/magnum.bash_completion}

%postun
%python_uninstall_alternative magnum

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%{python_sitelib}/magnumclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/magnum
%python_alternative %{_mandir}/man1/magnum.1
%python_alternative %{_sysconfdir}/bash_completion.d/magnum.bash_completion

%files -n python-magnumclient-doc
%doc README.rst doc/build/html
%license LICENSE

%changelog
